Zoom Docs
- OpenAPI Version:
3.1.0 - API Version:
1.0.0
Operations
POST docs.file_created
- Method:
POST - Path:
docs.file_created - Tags: docs
Request Body
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the new file. -
object(required)object— Information about the file.-
file_id(required)string— The file ID. -
file_name(required)string— The file name. -
file_type(required)string, possible values:"doc", "folder", "data_table"— The file type.
-
-
operator_id(required)string— The user ID of the user who created the file.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator_id": "",
"object": {
"file_id": "",
"file_name": "",
"file_type": "doc"
}
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the new file. -
object(required)object— Information about the file.-
file_id(required)string— The file ID. -
file_name(required)string— The file name. -
file_type(required)string, possible values:"doc", "folder", "data_table"— The file type.
-
-
operator_id(required)string— The user ID of the user who created the file.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator_id": "",
"object": {
"file_id": "",
"file_name": "",
"file_type": "doc"
}
}
}
POST docs.data_table_user_mentioned
- Method:
POST - Path:
docs.data_table_user_mentioned - Tags: docs
Request Body
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the user who mentioned others. -
object(required)object— Information about the mentioned users.-
data_table_id(required)string— Data Table ID. -
data_table_name(required)string— Data Table Name. -
file_id(required)string— File ID. -
file_name(required)string— File Name. -
mentioned_users(required)array— Mention user list.Items:
-
email(required)string— User Email. -
user_id(required)string— User ID.
-
-
primary_key_value(required)string— The row primary key value. -
row_link(required)string— Link to the current row. -
row_idstring— The row ID.
-
-
operator(required)string, format:email— The email address of the user who mentioned others. -
operator_id(required)string— The user ID of the user who mentioned others.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"file_id": "",
"data_table_id": "",
"row_id": "",
"primary_key_value": "",
"row_link": "",
"mentioned_users": [
{
"user_id": "",
"email": ""
}
],
"file_name": "",
"data_table_name": ""
}
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the user who mentioned others. -
object(required)object— Information about the mentioned users.-
data_table_id(required)string— Data Table ID. -
data_table_name(required)string— Data Table Name. -
file_id(required)string— File ID. -
file_name(required)string— File Name. -
mentioned_users(required)array— Mention user list.Items:
-
email(required)string— User Email. -
user_id(required)string— User ID.
-
-
primary_key_value(required)string— The row primary key value. -
row_link(required)string— Link to the current row. -
row_idstring— The row ID.
-
-
operator(required)string, format:email— The email address of the user who mentioned others. -
operator_id(required)string— The user ID of the user who mentioned others.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"file_id": "",
"data_table_id": "",
"row_id": "",
"primary_key_value": "",
"row_link": "",
"mentioned_users": [
{
"user_id": "",
"email": ""
}
],
"file_name": "",
"data_table_name": ""
}
}
}
POST docs.data_table_row_created
- Method:
POST - Path:
docs.data_table_row_created - Tags: docs
Request Body
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the user who created the row. -
object(required)object— Information about the created row.-
data_table_id(required)string— Data Table ID. -
data_table_name(required)string— Data Table Name. -
file_id(required)string— File ID. -
file_name(required)string— File Name. -
primary_key_value(required)string— The created row primary key value. -
row_id(required)string— The created row ID. -
row_link(required)string— Link to the created row.
-
-
operator(required)string, format:email— The email address of the user who created the new row. -
operator_id(required)string— The user ID of the user who created the new row.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"file_id": "",
"data_table_id": "",
"row_id": "",
"primary_key_value": "",
"row_link": "",
"file_name": "",
"data_table_name": ""
}
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the user who created the row. -
object(required)object— Information about the created row.-
data_table_id(required)string— Data Table ID. -
data_table_name(required)string— Data Table Name. -
file_id(required)string— File ID. -
file_name(required)string— File Name. -
primary_key_value(required)string— The created row primary key value. -
row_id(required)string— The created row ID. -
row_link(required)string— Link to the created row.
-
-
operator(required)string, format:email— The email address of the user who created the new row. -
operator_id(required)string— The user ID of the user who created the new row.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"file_id": "",
"data_table_id": "",
"row_id": "",
"primary_key_value": "",
"row_link": "",
"file_name": "",
"data_table_name": ""
}
}
}
POST docs.data_table_row_updated
- Method:
POST - Path:
docs.data_table_row_updated - Tags: docs
Request Body
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the user who updated the row. -
object(required)object— Information about the updated row.-
column_ids(required)array— The ID list of the updated column.Items:
string— The ID of the updated column. -
data_table_id(required)string— Data Table ID. -
data_table_name(required)string— Data Table Name. -
file_id(required)string— File ID. -
file_name(required)string— File Name. -
primary_key_value(required)string— The updated row primary key value. -
row_id(required)string— The updated row ID. -
row_link(required)string— Link to the updated row.
-
-
operator(required)string, format:email— The email address of the user who updated the row. -
operator_id(required)string— The user ID of the user who updated the row.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"file_id": "",
"data_table_id": "",
"row_id": "",
"primary_key_value": "",
"row_link": "",
"column_ids": [
""
],
"file_name": "",
"data_table_name": ""
}
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the user who updated the row. -
object(required)object— Information about the updated row.-
column_ids(required)array— The ID list of the updated column.Items:
string— The ID of the updated column. -
data_table_id(required)string— Data Table ID. -
data_table_name(required)string— Data Table Name. -
file_id(required)string— File ID. -
file_name(required)string— File Name. -
primary_key_value(required)string— The updated row primary key value. -
row_id(required)string— The updated row ID. -
row_link(required)string— Link to the updated row.
-
-
operator(required)string, format:email— The email address of the user who updated the row. -
operator_id(required)string— The user ID of the user who updated the row.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"file_id": "",
"data_table_id": "",
"row_id": "",
"primary_key_value": "",
"row_link": "",
"column_ids": [
""
],
"file_name": "",
"data_table_name": ""
}
}
}